Groovy Documentation

## org.codehaus.groovy.grails.web.sitemesh
[Java] Class GrailsContentBufferingResponse

    java.lang.Object
      javax.servlet.http.HttpServletResponseWrapper
          org.codehaus.groovy.grails.web.sitemesh.GrailsContentBufferingResponse

    public class GrailsContentBufferingResponse
    extends HttpServletResponseWrapper

Constructor Summary
`GrailsContentBufferingResponse(HttpServletResponse response, ContentProcessor contentProcessor, SiteMeshWebAppContext webAppContext)`

Method Summary
`Content` | `getContent()`
`boolean` | `isActive()`
`boolean` | `isUsingStream()`
`void` | `sendError(int sc)`
`void` | `sendError(int sc, java.lang.String msg)`
`void` | `sendRedirect(java.lang.String location)`

Constructor Detail

### GrailsContentBufferingResponse

    public GrailsContentBufferingResponse(HttpServletResponse response, ContentProcessor contentProcessor, SiteMeshWebAppContext webAppContext)

Method Detail

### getContent

    public Content getContent()

### isActive

    public boolean isActive()

### isUsingStream

    public boolean isUsingStream()

### sendError

    @Override
    public void sendError(int sc)

### sendError

    @Override
    public void sendError(int sc, java.lang.String msg)

### sendRedirect

    @Override
    public void sendRedirect(java.lang.String location)

Groovy Documentation